import { createActionGroup, emptyProps, props } from '@ngrx/store';
import { SignupStore } from '../../interfaces/store/signup.store';

export const signupActions = createActionGroup({
  source: 'Signup',
  events: {
    SET_SIGNUP: props<{ signup: SignupStore }>(),
    CLEAR_SIGNUP: emptyProps(),
  },
});
